<?php
/** ----------------------------------------------------------------------------
 **
 *F boxes.php
 **
 ** WEB-Shop Software http://www.webs.de
 **
 ** ----------------------------------------------------------------------------
 ** based on:
 **  (c) 2000-2001 The Exchange Project (earlier name of osCommerce)
 **  (c) 2002-2003 osCommerce; www.oscommerce.com
 **  (c) 2003 nextcommerce; www.nextcommerce.org
 **  (c) 2006 XT-Commerce
 **
 ** Released under the GNU General Public License
 **
 ** @version $Id: boxes.php 1976 2011-02-24 20:32:20Z DocOlson $
 ** @copyright 2011 WEB-Shop Software http://www.webs.de/
 **
 ** ------------------------------------------------------------------------- */
require_once (DIR_FS_INC.'get_images.inc.php');
require_once (DIR_FS_CATALOG . 'templates/' . CURRENT_TEMPLATE . '/source/class/box.php');


/**
 * Horizontale Top-Kategorien werden nicht angezeigt, wenn der Kategoriebaum
 * klassisch aufgebaut wird. Sollen diese auch in der klassischen Ansicht
 * angezeigt werden, muss hier nur die Prüfung entfernt werden.
 */
if ( !CATEGORIES_CLASSIC ) {
	require_once(DIR_WS_BOXES . 'categories_top.php');
}

// immer sichtbar
require_once(DIR_WS_BOXES . 'content.php');
require_once(DIR_WS_BOXES . 'information.php');
require_once(DIR_WS_BOXES . 'languages.php');
require_once(DIR_WS_BOXES . 'login.php');
require_once(DIR_WS_BOXES . 'newsletter.php');
require_once(DIR_WS_BOXES . 'search.php');
require_once(DIR_WS_BOXES . 'tagcloud.php');
require_once(DIR_WS_BOXES . 'links.php');

// Nur für Admins
if ( $_SESSION['customers_status']['customers_status_id'] == 0 ) {
	require_once(DIR_WS_BOXES . 'admin.php');
}

// Während des Kauf-Abschlusses verborgen
if ( 
	substr(basename($PHP_SELF), 0, 8) != 'checkout' &&
	basename($PHP_SELF) != 'shopping_cart.php'
) {
	require_once(DIR_WS_BOXES . 'popular.php');
	
	
	/**
	 * Klassischer Kategoriebaum oder Tunnel?
	 */
	if ( CATEGORIES_CLASSIC ) {
		require_once(DIR_WS_BOXES . 'categories_classic.php');
	} else {
		require_once(DIR_WS_BOXES . 'categories.php');
	}

	require_once(DIR_WS_BOXES . 'last_viewed.php');
	require_once(DIR_WS_BOXES . 'manufacturers.php');
	require_once(DIR_WS_BOXES . 'live_shopping.php');

	// Nur, wenn Preise sichtbar
	//if ( $_SESSION['customers_status']['customers_status_show_price'] != '0' ) {
		require_once(DIR_WS_BOXES . 'cart.php');
	//}

	// In der Suche verborgen
	if ( substr(basename($PHP_SELF), 0,8 ) != 'advanced' ) {
		require_once(DIR_WS_BOXES . 'whats_new.php');
	}

	require_once(DIR_WS_BOXES . 'whats_new_overview.php');

	// Nur auf Produkt-Detailseiten sichtbar
	if ( $product->isProduct() ) {
		require_once(DIR_WS_BOXES . 'manufacturer_info.php');
	}
	// Nur auf Produkt-Detailseiten verborgen
	else {
		require_once(DIR_WS_BOXES . 'best_sellers.php');
		//require_once(DIR_WS_BOXES . 'specials.php');
	}

	// Nur, wenn Bewertungen erlaubt
	if ( $_SESSION['customers_status']['customers_status_read_reviews'] == 1 ) {
		require_once(DIR_WS_BOXES . 'reviews.php');
	}

	require_once(DIR_WS_BOXES . 'currencies.php');
}
