<?php
/** ----------------------------------------------------------------------------
 *
 * categories.php
 *
 * WEB-Shop Software http://www.webs.de/
 *
 * -----------------------------------------------------------------------------
 *
 * Released under the GNU General Public License
 *
 * @author Doc Olson (info@it-bites.de)
 * @version $Id: categories.php 1972 2011-02-21 21:22:33Z xantiva $
 * @copyright 2011 WEB-Shop Software http://www.webs.de/
 *
 * ----------------------------------------------------------------------------- */

/**
 * Nur ausführen, wenn $current_category_id != 0
 * Diese Prüfung muss entfernt werden, wenn der
 * Kategoriebaum klassisch aufgebaut sein soll.
 */
if ( $current_category_id ) {

	$box = new box();
	$cache_id = $_SESSION['language'] . $_SESSION['customers_status']['customers_status_id'] . $cPath;

	if ( !$box->is_cached('categories.html', $cache_id) ) {
		require_once(DIR_FS_CATALOG . 'templates/' . CURRENT_TEMPLATE . '/source/class/categories.php');

		$ct = new categories($cPath, $current_category_id);

		/**
		 * Wieviele Ebenen des Kategoriebaums sollen initial bereits
		 * aufgeklappt sein?
		 */
		$ct->min_level = 1;

		/**
		 * Mit der Kategorie-ID als Parameter,
		 * werden nur die jeweiligen Unterkategorien angezeigt
		 */
		$ct->getCategories($current_category_id);

		/*
		 * Wenn ALLE Kategorien angezeigt werden sollen,
		 * muss getCategories OHNE Parameter aufgerufen werden
		 */
		//$ct->getCategories();

		/*
		 * Beispiel, um einen beliebigen Link an beliebiger
		 * Stelle in den Kategoriebaum einzuhängen.
		 */
		//$ct->addLink('Home', xtc_href_link('index.php'), 0, 0);

		$box->assign('CATEGORIES', $ct->getOutputHTML());
		$box->assign('MAINCATEGORY', $ct->getMainCategory());
	}

	$smarty->assign('box_CATEGORIES', $box->fetch('categories.html', $cache_id));
}
