<?php
/** ----------------------------------------------------------------------------
 *
 * template_defaults.php
 *
 * WEB-Shop Software http://www.webs.de/
 *
 * -----------------------------------------------------------------------------
 *
 * Released under the GNU General Public License
 *
 * @author Doc Olson (info@it-bites.de)
 * @version $Id: template_defaults.php 1976 2011-02-24 20:32:20Z DocOlson $
 * @copyright 2011 WEB-Shop Software http://www.webs.de/
 *
 * ----------------------------------------------------------------------------- */

/**
 * Alle hier definierten CSS-Dateien können vom CSS-Kompressor verwaltet werden.
 * Sie werden, je nach Einstellung (siehe Backend), entweder nacheinander ausgegeben
 * oder zu einer Datei kombiniert und ggf. komprimiert.
 *
 * Im Template werden die CSS-Dateien mit einem Aufruf von {css} eingebunden
 * (siehe index.html).
 *
 * Die Dateien werden nach Medien-Typen gruppiert.
 * Mehr Info: http://www.w3.org/TR/CSS21/media.html
 *
 */
$css_files = array(
    'all' => array(
        'css/grid.css',
        'css/defaults.css',
        'css/base.css',
        'css/boxes.css',
        'css/checkout.css',
        'css/product_info.css',
        'css/product_tabs.css',
        'css/product_listing.css',
        'css/product_options.css',
        'css/ui.css',
        'css/buttons.css',
		'css/prettyPhoto.css',
		'css/prettyPhotoWebs.css'
    ),
    'print' => array(
        'css/print.css'
    )
);

/**
 * In diesem Array werden CSS-Dateien eingebunden, die nur ausgegeben werden,
 * wenn man als Admin eingeloggt ist. Diese werden IMMER gesondert ausgegeben
 * und bleiben unabhängig vom CSS-Kompressor.
 */
$admin_css = array(
	'all' => array(
		'css/admin.css'
	)
);

/**
 * Analog zu $css_files, werden hier alle Javascript Dateien definiert.
 * Im Template werden die JS-Dateien mit einem Aufruf von {javascript} eingebunden
 * (siehe index.html).
 * Individuelle Javascript-Befehle sollten IMMER in die template.js eingebaut werden.
 */
$js_files = array(
	'javascript/jquery-1.5.min.js',
	'javascript/jquery-ui-1.8.1.custom.min.js',
	'javascript/jquery.countdown-min.js',
	'javascript/jquery.countdown-de.js',
	'javascript/jquery.prettyPhoto.js',
	'javascript/template.js'
);

/**
 * In diesem Array werden JS-Dateien eingebunden, die nur ausgegeben werden,
 * wenn man als Admin eingeloggt ist. Diese werden IMMER gesondert ausgegeben
 * und bleiben unabhängig vom JS-Kompressor.
 */
$admin_js = array(
	'javascript/admin.js'
);

/**
 * Sollen alle Button-Grafiken durch HTML-Buttons ersetzt werden?
 * Die Gestaltung der Buttons erfolgt dann ausschliesslich per CSS
 * (siehe buttons.css).
 * Wenn dieser Wert auf 'false' gesetzt ist, werden die herkömmlichen
 * Grafiken angezeigt.
 */
define('USE_HTML_BUTTONS', false);

/*
 * Sollen die Hinweise auf Mehrwehrtsteuer und Versandkosten
 * in den Produktlisten direkt beim Produkt angezeigt werden?
 * Wenn nicht, sollte der Hinweis im Seitenfuß stehen. Siehe
 * {taxinfo} in der index.html.
 */
define('SHOWTAX', true);

/**
 * Wenn dieser Parameter auf 'true' gesetzt wird, wird der Kategoriebaum
 * klassisch aufgebaut. Steht er auf 'false', werden in der Kategoriebox immer
 * nur die Unterkategorien der aktuell ausgewählten Kategorie angezeigt,
 * sofern vorhanden.
 *
 * Dieser Parameter bestimmt auch, ob die $box_CATEGORIES_TOP gefüllt wird, was
 * in der klassischen Ansicht nicht unbedingt nötig ist. Natürlich können die
 * Kategorien in $box_CATEGORIES_TOP auch MIT der klassischen Kategorieansicht
 * verwendet werden, dafür muss die entsprechende Prüfung in der boxes.php
 * angepasst werden.
 */
define('CATEGORIES_CLASSIC', false);

define('DIR_WS_BOXES', DIR_FS_CATALOG . 'templates/' . CURRENT_TEMPLATE . '/source/boxes/');
define('TPL_SNIPPETS', DIR_FS_CATALOG . 'templates/' . CURRENT_TEMPLATE . '/snippets/');
